CVE-2004-2108
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:06:20
NMCOS    

[原文]Multiple SQL injection vulnerabilities in QuadComm Q-Shop allow remote attackers to execute arbitrary SQL commands via certain parameters to (1) search.asp, (2) browse.asp, (3) details.asp, (4) showcat.asp, (5) users.asp, (6) addtomylist.asp, (7) modline.asp, (8) cart.asp, or (9) newuser.asp.


[CNNVD]QuadComm Q-Shop多个SQL注入漏洞(CNNVD-200412-1060)

        
        Q-Shop是一款基于WEB的电子商务程序。
        Q-Shop存在多个SQL注入漏洞,远程攻击者可以利用这些问题修改数据库,获得敏感信息等。
        Q-Shop包含的多个脚本由于没有正确过滤用户提交的SQL查询,可导致攻击者进行SQL注入攻击,可能以WEB进程权限执行任意命令,或获得系统敏感程序。
        这些脚本如下:
        search.asp, browse.asp, details.asp, showcat.asp, users.asp, addtomylist.asp,
        modline.asp, cart.asp, newuser.asp
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:quadcomm:q-shop:2.0
cpe:/a:quadcomm:q-shop:2.1
cpe:/a:quadcomm:q-shop:2.5
cpe:/a:quadcomm:q-shop:2.5_beta

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2108
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2108
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1060
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107488132208229&w=2
(UNKNOWN)  BUGTRAQ  20040123 QuadComm Q-Shop ASP Shopping Cart Software multiple security vulnerabilities
http://securitytracker.com/alerts/2004/Jan/1008837.html
(UNKNOWN)  SECTRACK  1008837
http://www.s-quadra.com/advisories/Adv-20040123.txt
(UNKNOWN)  MISC  http://www.s-quadra.com/advisories/Adv-20040123.txt
http://www.securityfocus.com/bid/9481
(UNKNOWN)  BID  9481
http://xforce.iss.net/xforce/xfdb/14922
(UNKNOWN)  XF  qshop-multiple-sql-injection(14922)

- 漏洞信息

QuadComm Q-Shop多个SQL注入漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Q-Shop是一款基于WEB的电子商务程序。
        Q-Shop存在多个SQL注入漏洞,远程攻击者可以利用这些问题修改数据库,获得敏感信息等。
        Q-Shop包含的多个脚本由于没有正确过滤用户提交的SQL查询,可导致攻击者进行SQL注入攻击,可能以WEB进程权限执行任意命令,或获得系统敏感程序。
        这些脚本如下:
        search.asp, browse.asp, details.asp, showcat.asp, users.asp, addtomylist.asp,
        modline.asp, cart.asp, newuser.asp
        

- 公告与补丁

        厂商补丁:
        QuadComm
        --------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://quadcomm.com/qshop/

- 漏洞信息

3698
QuadComm Q-Shop browse.asp SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

Quadcomm Q-Shop contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that user input in the browse.asp module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2004-01-26 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

QuadComm Q-Shop SQL Injection Vulnerabilities
Input Validation Error 9481
Yes No
2004-01-23 12:00:00 2009-07-12 02:06:00
Discovery of this issue is credited to Nick Gudov <cipher@s-quadra.com>.

- 受影响的程序版本

QuadComm Q-Shop 2.5 beta
QuadComm Q-Shop 2.5
QuadComm Q-Shop 2.1
QuadComm Q-Shop 2.0

- 漏洞讨论

It has been reported that Quadcomm's Q-Shop is vulnerable to multiple SQL injection vulnerabilities. This issue is caused by the failure of the application to properly validate user input, which will included in database queries. This could allow for compromise of the software, information disclosure or other attacks.

- 漏洞利用

There is no exploit required.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站